cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
1614
Views
0
Helpful
3
Replies
Highlighted
Beginner

Cisco Nexus 5548P upgrade from 5.x to 7.x

Dear Team,

I am using Cisco 5548P and is running with image 5.0(2)N2(1) and now we need to upgrade it to 7.0(4)N1(1). We are ready for disruptive upgrade.

Post uploading 7.0(4)N1(1) image in device it has given additional information message as "LACP: Upgrade will be disruptive as 0 switch ports and 28 fex ports are not upgrade ready!!"

Need to understand upgrade impact on switch/FEX.

SWITCH1# sh install all impact kickstart bootflash:n5000-uk9-kickstart.7.0.4.N1.1.bin system bootflash:n5000-uk9.7.0.4.N1.1.bin

Verifying image bootflash:/n5000-uk9-kickstart.7.0.4.N1.1.bin for boot variable "kickstart".
[####################] 100% -- SUCCESS

Verifying image bootflash:/n5000-uk9.7.0.4.N1.1.bin for boot variable "system".
[####################] 100% -- SUCCESS

Verifying image type.
[###########         ]  50%
[####################] 100% -- SUCCESS

Extracting "system" version from image bootflash:/n5000-uk9.7.0.4.N1.1.bin.
[####################] 100% -- SUCCESS

Extracting "kickstart" version from image bootflash:/n5000-uk9-kickstart.7.0.4.N1.1.bin.
[####################] 100% -- SUCCESS

Extracting "bios" version from image bootflash:/n5000-uk9.7.0.4.N1.1.bin.
[####################] 100% -- SUCCESS

Extracting "fexth" version from image bootflash:/n5000-uk9.7.0.4.N1.1.bin.
[####################] 100% -- SUCCESS

Performing module support checks.
[####################] 100% -- SUCCESS

Notifying services about system upgrade.
[####################] 100% -- SUCCESS

Compatibility check is done:
Module  bootable          Impact  Install-type  Reason
------  --------  --------------  ------------  ------
     1       yes      disruptive         reset  Incompatible image
   101       yes      disruptive         reset  Incompatible image
   102       yes      disruptive         reset  Incompatible image
   103       yes      disruptive         reset  Incompatible image

Images will be upgraded according to following table:
Module       Image         Running-Version             New-Version  Upg-Required
------  ----------  ----------------------  ----------------------  ------------
     1      system             5.0(2)N2(1)             7.0(4)N1(1)           yes
     1   kickstart             5.0(2)N2(1)             7.0(4)N1(1)           yes
     1        bios      v1.8.0(10/06/2010)      v3.6.0(05/09/2012)           yes
   101       fexth             5.0(2)N2(1)             7.0(4)N1(1)           yes
   102       fexth             5.0(2)N2(1)             7.0(4)N1(1)           yes
   103       fexth             5.0(2)N2(1)             7.0(4)N1(1)           yes
     1   power-seq                    v3.0                    v5.0           yes
     1          uC               v1.0.0.14               v1.0.0.14            no


Additional info for this installation:

LACP: Upgrade will be disruptive as 0 switch ports and 28 fex ports are not upgrade ready!!

 

Switch is having three FEX's connected to it.

3 REPLIES 3
Highlighted
Beginner

Have you managed to upgrade directly from 5.0(2)N2(1)  to 7.0(4)N1(1) ?

As per cisco documentation you should follow intermediate upgrade.

We are also planning to upgrade from 5.0(3)N2(2) to 7.0(6)N1(1).

 

Highlighted

If you see the compatibility check results, it says incompatible image.

Highlighted

Hi Ahmed,

I would plan to go to 7.0.7 release as it has a few more critical bug fixes.

Check table 6 @ the link below for Supported Upgrade and Downgrade Paths

http://www.cisco.com/c/en/us/td/docs/switches/datacenter/nexus5500/sw/release/notes/7x/Nexus5500_Release_Notes_7x.html#pgfId-584371

-Raj

Content for Community-Ad